IT: OTS (China) - 0000 #439
v4.0: Login
10/21/2024 06:12 PM - Junyi Zhang

Status: aao Start date: 10/22/2024
Priority: aa Due date: 10/25/2024
Assignee: Junyi Zhang % Done: 100%
Category: Estimated time: 0.00 hour
Target version: v4.0 Spent time: 0.00 hour
Description

Background

1. New requirement for v4.0 OTS
See: OneDrive\l00000000000\Shanghai Group - IMIO0MoTS vall00

Task Details
1. Login module: mobile/desktop
v4 coding standard:

1. Gitll[

E#Exx(redmine number): xxx(redmine title) - xxx(JO00000)
2.0000

2.1: Il Public -> Protected -> Private

ﬁnzz 0000000sBx
3. 000000Modell

3.1: 0000000000modelllsystem(

8.2: v3/vallmodelllOO000000 order.php, order_v3.php
4.0000

tDwig, is, css (js, css000000cssO00)

5.0000
Iﬁ/IVCL (LOenlen)
6. 00
1. 000

/**

* XXX

*

* @copyright RedBlue-OTS 2024

* @version v4
*

*/
2.00000000 + DOODO

/**

B SRR

*

* @param xxxX S$XXX
* @param xxX $XXX
* @return xxx

*/
Output
e Report and Solution

Others

History

#1 - 10/21/2024 06:12 PM - Junyi Zhang
- Status changed from 010l to0010

#2 - 10/22/2024 03:08 PM - Junyi Zhang
Output (2024/10/28), Output (2024/10/22 - 2024/10/25)

1. Add third-party files bootstrap 5.3.3.
- We use bootstrap for css framework since it already a lot of components and styles that will make development easier.
2. Restore the original opencart startup files since we might use them in the future.
- Change pre-action common/login/check to startup/login as login check
3. Unify some config settings to web/system/config/default.php
-db
- session
- template
4. About js files:
- Namespace for js : for example: web/catalog/view/javascript/easydingzhi/common.js
5. The login function:
- Empty check and format check use original form validate, and username/password valid check by php.
- Add easyDingZhi.account for user account operation
- Compatible with v3 user login
6. Change the language directory and support switch language in front.
1. The language directory
- Old: en-gb
- New: en/zh
2. The priority of front language
1. session/cookie.
2. Browser's language preference.
3. admin setting 'config_language'.
7. Add redis config and the format of the cache key should be CACHE_PREFIX.xxx
1. CACHE_PREFIX
2. CACHE_HOSTNAME
3. CACHE_PORT
8. Fix the input background when autofill.
1. Add css: -webkit-background-clip: text;
9. Add footer and it should display at the bottom of every page.
- Currently, admin does not have the function that dynamic set footer, so | use the language way to set the content of the footer

#3 - 10/22/2024 07:39 PM - Junyi Zhang
- % Done changed from 0 to 20

#4 - 10/24/2024 10:28 AM - Junyi Zhang

- Description updated

#5 - 10/24/2024 10:32 AM - Junyi Zhang

- Description updated

#6 - 10/25/2024 07:59 PM - Junyi Zhang
- % Done changed from 20 to 40

#7 - 10/28/2024 07:49 PM - Junyi Zhang
- % Done changed from 40 to 80

#8 - 10/29/2024 11:13 AM - Junyi Zhang
- Status changed from 100 to0010
- % Done changed from 80 to 100

#9 - 02/13/2025 04:04 PM - Xihua Fan
- Tracker changed from 010 to0000
